package com.diagbot.web;


import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.DisScaleFacade;
import com.diagbot.vo.AddDisScaleInfoVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;

/**
 * <p>
 * 诊断量表映射表 前端控制器
 * </p>
 *
 * @author wangyu
 * @since 2019-04-01
 */
@RestController
@RequestMapping("/disScale")
@Api(value = "诊断关联量表相关API", tags = { "2期-诊断关联量表相关API" })
@SuppressWarnings("unchecked")
public class DisScaleController {

    @Autowired
    private DisScaleFacade disScaleFacade;

    @ApiOperation(value = "2期-诊断量表关联——添加和修改[by:wangyu]",
            notes = "disId: 诊断id,必填<br>" +
                    "scaleId: 量表id，必填<br>")
    @PostMapping("/addDisScaleInfo")
    @SysLogger("addDisScaleInfo")
    @Transactional
    public RespDTO<Boolean> addDisScaleInfo(@RequestBody @Valid AddDisScaleInfoVO addDisScaleInfoVO){
        Boolean data = disScaleFacade.addDisScaleInfo(addDisScaleInfoVO);
        return RespDTO.onSuc(data);
    }
}
